Software Updater

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

Software Updater

Charles Irons
Hello Ubuntu user technical support

The last three or more Software Updater updates have ended with this message:

Package operation failed
The installation or removal of a software package failed.

I have tried to read System log but find nothing that I can understand; too complex for my limited knowledge.

I don't see any app failing, but something needs to be fixed because I think there may be unnoticed damage.

Please tell me what other tracing methods or corrective commands I can use.

Hope you all have a good festive time with family and friends.

Kind regards. Chas (retired user)
-- 
Our preferred address is
[hidden email]
Mobile   +2783 588 0028

--
ubuntu-users mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
Reply | Threaded
Open this post in threaded view
|

Re: Software Updater

ubuntu-users mailing list
On Wed, 12 Dec 2018 21:22:02 +0200, Charles IRONS wrote:
>Package operation failed
>The installation or removal of a software package failed.

Hi,

open a terminal and run

sudo apt update
sudo apt full-upgrade
sudo apt --fix-broken install

if this shouldn't resolve the issue, post the output of

sudo apt full-upgrade
sudo apt --fix-broken install

In a terminal you usually can copy the output by selecting the text with
the mouse and then using the shortcut Shift+Ctrl+C (not by using the
common shortcut Ctrl+C).

Regards,
Ralf


--
ubuntu-users mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
Reply | Threaded
Open this post in threaded view
|

Re: Software Updater

Charles Irons
In reply to this post by Charles Irons

On Wed, 2018-12-12 at 20:34 +0100, Ralf Mardorf via ubuntu-users wrote:
On Wed, 12 Dec 2018 21:22:02 +0200, Charles IRONS wrote:
Package operation failed
The installation or removal of a software package failed.

Hi,

open a terminal and run

sudo apt update
sudo apt full-upgrade
sudo apt --fix-broken install

if this shouldn't resolve the issue, post the output of

sudo apt full-upgrade
sudo apt --fix-broken install

In a terminal you usually can copy the output by selecting the text with
the mouse and then using the shortcut Shift+Ctrl+C (not by using the
common shortcut Ctrl+C).

Regards,
Ralf
***********************
Hi Ralf
Sorry, the updates failed to resolve the problem but delivered a lot of output.
Some of it is posted below. Hope you will understand it all. 
I inserted ************ at each command and where I <snip> repetitive stuff to get this post below 40K 

Thanks for helping. Chas
*************************
[hidden email]:~$ sudo apt update
[sudo] password for chas: 
Hit:1 http://mirror.wiru.co.za/ubuntu bionic InRelease
Hit:2 http://mirror.wiru.co.za/ubuntu bionic-updates InRelease                 
Hit:3 http://mirror.wiru.co.za/ubuntu bionic-backports InRelease               
Hit:4 http://mirror.wiru.co.za/ubuntu bionic-security InRelease                
Hit:5 http://linux.teamviewer.com/deb stable InRelease                         
Hit:6 http://security.ubuntu.com/ubuntu bionic-security InRelease              
Hit:7 http://archive.canonical.com/ubuntu bionic InRelease                     
Reading package lists... Done                     
Building dependency tree       
Reading state information... Done
11 packages can be upgraded. Run 'apt list --upgradable' to see them.
[hidden email]:~$ sudo apt full-upgrade                ***************************
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following package was automatically installed and is no longer required:
  qml-module-qtwebkit
Use 'sudo apt autoremove' to remove it.
The following packages will be upgraded:
  gnome-software gnome-software-common gnome-software-plugin-snap
  libfreerdp-client2-2 libfreerdp2-2 libwinpr2-2 python3-software-properties
  software-properties-common software-properties-gtk ubuntu-software
  unattended-upgrades
11 to upgrade, 0 to newly install, 0 to remove and 0 not to upgrade.
25 not fully installed or removed.
Need to get 4,140 kB of archives.
After this operation, 19.5 kB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 http://mirror.wiru.co.za/ubuntu bionic-updates/main amd64 gnome-software-plugin-snap amd64 3.28.1-0ubuntu4.18.04.8 [28.3 kB]
<snip> ****************************
Get:11 http://mirror.wiru.co.za/ubuntu bionic-updates/main amd64 unattended-upgrades all 1.1ubuntu1.18.04.7 [40.2 kB]
Fetched 4,140 kB in 3s (1,207 kB/s)          
Preconfiguring packages ...
(Reading database ... 242299 files and directories currently installed.)
Preparing to unpack .../00-gnome-software-plugin-snap_3.28.1-0ubuntu4.18.04.8_amd64.deb ...
Unpacking gnome-software-plugin-snap (3.28.1-0ubuntu4.18.04.8) over (3.28.1-0ubuntu4.18.04.4) ...
<snip> ****************************
Preparing to unpack .../10-unattended-upgrades_1.1ubuntu1.18.04.7_all.deb ...
Unpacking unattended-upgrades (1.1ubuntu1.18.04.7) over (1.1ubuntu1.18.04.5) ...
Setting up gnome-software-common (3.28.1-0ubuntu4.18.04.8) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for ureadahead (0.100.0-20) ...
ureadahead will be reprofiled on next reboot
Setting up python3 (3.6.7-1~18.04) ...
running python rtupdate hooks for python3.6...
E: py3compile:183: cannot create directory /usr/share/hplip/ui5/__pycache__: FileNotFoundError(2, 'No such file or directory')
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/aboutdialog.py'
<snip> *********************************
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/wifisetupdialog.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/wifisetupdialog_base.py'
error running python rtupdate hook hplip-data
dpkg: error processing package python3 (--configure):
 installed python3 package post-installation script subprocess returned error exit status 4
dpkg: dependency problems prevent configuration of update-notifier-common:
 update-notifier-common depends on python3:any; however:
  Package python3 is not configured yet.

<snip> ********************************
dpkg: error processing package update-notifier (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports has already been reached
                                                                    dpkg: dependency problems prevent configuration of gnome-software:
<snip> ********************************
 dependency problems - leaving triggers unprocessed
dpkg: too many errors, stopping
No apport report written because MaxReports has already been reached
                                                                    Processing triggers for libc-bin (2.27-3ubuntu1) ...
Errors were encountered while processing:
 python3
 update-notifier-common
 python3-lxml:amd64
 python3-update-manager
 gnome-shell
 netplan.io
 ubuntu-release-upgrader-core
 software-properties-gtk
 nplan
 update-notifier
 gnome-software
 unattended-upgrades
 update-manager
 python3-gdbm:amd64
 python3-software-properties
 gnome-menus
 python3-lib2to3
 python3-distutils
 python3-distupgrade
 software-properties-common
 ufw
 ubuntu-release-upgrader-gtk
 update-manager-core
 ubuntu-software
 gconf2
 gnome-software-plugin-snap
 gconf2
 <snip> ********************************
 gconf2
Processing was halted because there were too many errors.
E: Sub-process /usr/bin/dpkg returned an error code (1)
[hidden email]:~$ sudo apt --fix-broken install                    ****************************
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following package was automatically installed and is no longer required:
  qml-module-qtwebkit
Use 'sudo apt autoremove' to remove it.
0 to upgrade, 0 to newly install, 0 to remove and 0 not to upgrade.
32 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up python3 (3.6.7-1~18.04) ...
running python rtupdate hooks for python3.6...
E: py3compile:183: cannot create directory /usr/share/hplip/ui5/__pycache__: FileNotFoundError(2, 'No such file or directory')
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/aboutdialog.py'
<snip> ********************************
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/wifisetupdialog_base.py'
error running python rtupdate hook hplip-data
dpkg: error processing package python3 (--configure):
 installed python3 package post-installation script subprocess returned error exit status 4
dpkg: dependency problems prevent configuration of update-notifier-common:
 update-notifier-common depends on python3:any; however:
  Package python3 is not configured yet.

<snip> ********************************                              No apport report written because MaxReports has already been reached
                                       No apport report written because MaxReports has already been reached
                                                                                                            problems prevent configuration of software-properties-gtk:
 software-properties-gtk depends on python3:any (>= 3.3.2-2~); however:
  Package python3 is not configured yet.
 software-properties-gtk depends on python3; however:
  Package python3 is not configured yet.

<snip> ********************************
dpkg: error processing package gconf2 (--configure):
 dependency problems - leaving triggers unprocessed
dpkg: dependency problems prevent configuration of gnome-software-plugin-snap:
 gnome-software-plugin-snap depends on gnome-software (= 3.28.1-0ubuntu4.18.04.8); however:
  Package gnome-software is not configured yet.

dpkg: error processing package gnome-software-plugin-snap (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent processing triggers for gconf2:
 gconf2 depends on python3:any; however:
  Package python3 is not configured yet.

<snip> ********************************

dpkg: error processing package gconf2 (--configure):
 dependency problems - leaving triggers unprocessed
dpkg: dependency problems prevent processing triggers for gconf2:
 gconf2 depends on python3:any; however:
  Package python3 is not configured yet.

dpkg: error processing package gconf2 (--configure):
 dependency problems - leaving triggers unprocessed
dpkg: too many errors, stopping
Errors were encountered while processing:
 python3
 update-notifier-common
 python3-lxml:amd64
 python3-update-manager
 gnome-shell
 netplan.io
 ubuntu-release-upgrader-core
 software-properties-gtk
 nplan
 update-notifier
 gnome-software
 unattended-upgrades
 update-manager
 python3-gdbm:amd64
 python3-software-properties
 gnome-menus
 python3-lib2to3
 python3-distutils
 python3-distupgrade
 software-properties-common
 ufw
 ubuntu-release-upgrader-gtk
 update-manager-core
 ubuntu-software
 gconf2
 gnome-software-plugin-snap
 gconf2
 <snip> ********************************
 gconf2
Processing was halted because there were too many errors.
E: Sub-process /usr/bin/dpkg returned an error code (1)
[hidden email]:~$ 




--
ubuntu-users mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
Reply | Threaded
Open this post in threaded view
|

Re: Software Updater

ubuntu-users mailing list
In reply to this post by ubuntu-users mailing list
On Thu, 13 Dec 2018 09:42:37 +0200, Charles IRONS wrote:
>E: py3compile:183: cannot create
>directory /usr/share/hplip/ui5/__pycache__: FileNotFoundError(2, 'No
>such file or directory')  

https://askubuntu.com/questions/1056780/cant-upgrade-update-ubuntu-18-04-as-apt-dpkg-error-is-showing-up

https://bugs.launchpad.net/ubuntu/+source/hplip/+bug/1766020

sudo apt install --reinstall hplip hplip-data
sudo apt install --reinstal python3


--
ubuntu-users mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
Reply | Threaded
Open this post in threaded view
|

Re: Software Updater

ubuntu-users mailing list
On Thu, 13 Dec 2018 09:42:37 +0200, Charles IRONS wrote:
>E: py3compile:183: cannot create
>directory /usr/share/hplip/ui5/__pycache__: FileNotFoundError(2, 'No
>such file or directory')    

https://askubuntu.com/questions/1056780/cant-upgrade-update-ubuntu-18-04-as-apt-dpkg-error-is-showing-up

https://bugs.launchpad.net/ubuntu/+source/hplip/+bug/1766020

sudo apt install --reinstall hplip hplip-data
sudo apt install --reinstall python3

There was a typo in my previous reply.


--
ubuntu-users mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
Reply | Threaded
Open this post in threaded view
|

Re: Software Updater

Charles Irons

On Fri, 2018-12-14 at 08:45 +0100, Ralf Mardorf via ubuntu-users wrote:
On Thu, 13 Dec 2018 09:42:37 +0200, Charles IRONS wrote:
E: py3compile:183: cannot create
directory /usr/share/hplip/ui5/__pycache__: FileNotFoundError(2, 'No
such file or directory')    

https://askubuntu.com/questions/1056780/cant-upgrade-update-ubuntu-18-04-as-apt-dpkg-error-is-showing-up

https://bugs.launchpad.net/ubuntu/+source/hplip/+bug/1766020

sudo apt install --reinstall hplip hplip-data
sudo apt install --reinstall python3

There was a typo in my previous reply.

Hi again Ralf

Those commands worked with no errors.
I started Software Updater. It updated Libre Office and Ubuntu Base. Ended normally.
I also did sudo apt autoremove qml-module-qtwebkit
Then printed a page OK

Thanks again for helping this old retired user.
Wishing you and dear ones a blessed Christmas / festive season.

Kind regards. Chas


--
ubuntu-users mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
Reply | Threaded
Open this post in threaded view
|

Re: Software Updater

ubuntu-users mailing list
On Fri, 14 Dec 2018 11:10:10 +0200, Charles IRONS wrote:
>Thanks again for helping this old retired user.
>Wishing you and dear ones a blessed Christmas / festive season.  

You are welcome!

Thank you and have merry Christmas, too!

Ralf


--
ubuntu-users mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users